## gnome-print-preview

gnome-print-preview —

## Synopsis

                GnomePrintPreview;
                GnomePrintPreviewClass;
    GnomePrintContext* gnome_print_preview_new  (GnomePrintConfig *config,
                                                 GnomeCanvas *canvas);
    GnomePrintContext* gnome_print_preview_new_full
                                                (GnomePrintConfig *config,
                                                 GnomeCanvas *canvas,
                                                 const gdouble *transform,
                                                 const ArtDRect *region);

## Object Hierarchy

      GObject
       +----GnomePrintContext
             +----GnomePrintPreview

## Description

## Details

### GnomePrintPreview

    typedef struct _GnomePrintPreview GnomePrintPreview;

### GnomePrintPreviewClass

    typedef struct _GnomePrintPreviewClass GnomePrintPreviewClass;

### gnome_print_preview_new ()

    GnomePrintContext* gnome_print_preview_new  (GnomePrintConfig *config,
                                                 GnomeCanvas *canvas);

Creates a new PrintPreview object that use the `canvas` GnomeCanvas as its rendering backend.

`config` : |
`canvas` : | Canvas on which we display the print preview
Returns : | A GnomePrintContext suitable for using with the GNOME print API.

### gnome_print_preview_new_full ()

    GnomePrintContext* gnome_print_preview_new_full
                                                (GnomePrintConfig *config,
                                                 GnomeCanvas *canvas,
                                                 const gdouble *transform,
                                                 const ArtDRect *region);

`config` : |
`canvas` : |
`transform` : |
`region` : |
Returns : |